# Arduino MKR GPS Library

The Arduino MKR ENV library allows you to read the information acquired through complex calculations by the Global Positioning System (GPS) receiver on the [MKR GPS Shield](https://store.arduino.cc/mkr-gps-shield). This library stores and manages the NMEA strings generated by the GPS receiver so that you can get directly the relevant information you need from the GPS.

To use this library:

```
#include <Arduino_MKRGPS.h>
```

The GPS on the MKR GPS Shield can be managed using the Serial1 interface at 9600 8n1. On that serial port you receive the raw messages that can be read using the syntax specified by the [NMEA standard](http://freenmea.net/docs). You can manage the board with an I2C connection or through the header pins to an underlying MKR board. The library supports transparently each set up and you just need to specify the mode you are using with the proper begin() parameter.

